IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network70.2.80.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
- Network address
70.2.80.0- Broadcast address
70.2.95.255- First usable
70.2.80.1- Last usable
70.2.95.254- Usable hosts
- 4,094 (4,096 less the network and broadcast addresses)
- Subnet mask
255.255.240.0- Wildcard mask
0.0.15.255(Cisco ACLs, OSPF)- Prefix length
- /20
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
46025000· Integer1174556672to1174560767 - Reverse DNS zones
80.2.70.in-addr.arpa81.2.70.in-addr.arpa82.2.70.in-addr.arpa83.2.70.in-addr.arpa84.2.70.in-addr.arpa85.2.70.in-addr.arpa86.2.70.in-addr.arpa87.2.70.in-addr.arpa88.2.70.in-addr.arpa89.2.70.in-addr.arpa90.2.70.in-addr.arpa91.2.70.in-addr.arpa92.2.70.in-addr.arpa93.2.70.in-addr.arpa94.2.70.in-addr.arpa95.2.70.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01000110.00000010.01010000.00000000 | 70.2.80.0 |
| Subnet mask | 11111111.11111111.11110000.00000000 | 255.255.240.0 |
| Network | 01000110.00000010.01010000.00000000 | 70.2.80.0 |
| Broadcast | 01000110.00000010.01011111.11111111 | 70.2.95.255 |
Split into smaller subnets
/21 (2)/22 (4)/23 (8)/24 (16)/25 (32)/26 (64)/27 (128)/28 (256)/29 (512)/30 (1,024)/31 (2,048)/32 (4,096)
70.2.80.0/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 70.2.80.0/32 | 70.2.80.0 to 70.2.80.0 | — | 1 |
| 2 | 70.2.80.1/32 | 70.2.80.1 to 70.2.80.1 | — | 1 |
| 3 | 70.2.80.2/32 | 70.2.80.2 to 70.2.80.2 | — | 1 |
| 4 | 70.2.80.3/32 | 70.2.80.3 to 70.2.80.3 | — | 1 |
| 5 | 70.2.80.4/32 | 70.2.80.4 to 70.2.80.4 | — | 1 |
| 6 | 70.2.80.5/32 | 70.2.80.5 to 70.2.80.5 | — | 1 |
| 7 | 70.2.80.6/32 | 70.2.80.6 to 70.2.80.6 | — | 1 |
| 8 | 70.2.80.7/32 | 70.2.80.7 to 70.2.80.7 | — | 1 |
| 9 | 70.2.80.8/32 | 70.2.80.8 to 70.2.80.8 | — | 1 |
| 10 | 70.2.80.9/32 | 70.2.80.9 to 70.2.80.9 | — | 1 |
| 11 | 70.2.80.10/32 | 70.2.80.10 to 70.2.80.10 | — | 1 |
| 12 | 70.2.80.11/32 | 70.2.80.11 to 70.2.80.11 | — | 1 |
| 13 | 70.2.80.12/32 | 70.2.80.12 to 70.2.80.12 | — | 1 |
| 14 | 70.2.80.13/32 | 70.2.80.13 to 70.2.80.13 | — | 1 |
| 15 | 70.2.80.14/32 | 70.2.80.14 to 70.2.80.14 | — | 1 |
| 16 | 70.2.80.15/32 | 70.2.80.15 to 70.2.80.15 | — | 1 |
| 17 | 70.2.80.16/32 | 70.2.80.16 to 70.2.80.16 | — | 1 |
| 18 | 70.2.80.17/32 | 70.2.80.17 to 70.2.80.17 | — | 1 |
| 19 | 70.2.80.18/32 | 70.2.80.18 to 70.2.80.18 | — | 1 |
| 20 | 70.2.80.19/32 | 70.2.80.19 to 70.2.80.19 | — | 1 |
| 21 | 70.2.80.20/32 | 70.2.80.20 to 70.2.80.20 | — | 1 |
| 22 | 70.2.80.21/32 | 70.2.80.21 to 70.2.80.21 | — | 1 |
| 23 | 70.2.80.22/32 | 70.2.80.22 to 70.2.80.22 | — | 1 |
| 24 | 70.2.80.23/32 | 70.2.80.23 to 70.2.80.23 | — | 1 |
| 25 | 70.2.80.24/32 | 70.2.80.24 to 70.2.80.24 | — | 1 |
| 26 | 70.2.80.25/32 | 70.2.80.25 to 70.2.80.25 | — | 1 |
| 27 | 70.2.80.26/32 | 70.2.80.26 to 70.2.80.26 | — | 1 |
| 28 | 70.2.80.27/32 | 70.2.80.27 to 70.2.80.27 | — | 1 |
| 29 | 70.2.80.28/32 | 70.2.80.28 to 70.2.80.28 | — | 1 |
| 30 | 70.2.80.29/32 | 70.2.80.29 to 70.2.80.29 | — | 1 |
| 31 | 70.2.80.30/32 | 70.2.80.30 to 70.2.80.30 | — | 1 |
| 32 | 70.2.80.31/32 | 70.2.80.31 to 70.2.80.31 | — | 1 |
| 33 | 70.2.80.32/32 | 70.2.80.32 to 70.2.80.32 | — | 1 |
| 34 | 70.2.80.33/32 | 70.2.80.33 to 70.2.80.33 | — | 1 |
| 35 | 70.2.80.34/32 | 70.2.80.34 to 70.2.80.34 | — | 1 |
| 36 | 70.2.80.35/32 | 70.2.80.35 to 70.2.80.35 | — | 1 |
| 37 | 70.2.80.36/32 | 70.2.80.36 to 70.2.80.36 | — | 1 |
| 38 | 70.2.80.37/32 | 70.2.80.37 to 70.2.80.37 | — | 1 |
| 39 | 70.2.80.38/32 | 70.2.80.38 to 70.2.80.38 | — | 1 |
| 40 | 70.2.80.39/32 | 70.2.80.39 to 70.2.80.39 | — | 1 |
| 41 | 70.2.80.40/32 | 70.2.80.40 to 70.2.80.40 | — | 1 |
| 42 | 70.2.80.41/32 | 70.2.80.41 to 70.2.80.41 | — | 1 |
| 43 | 70.2.80.42/32 | 70.2.80.42 to 70.2.80.42 | — | 1 |
| 44 | 70.2.80.43/32 | 70.2.80.43 to 70.2.80.43 | — | 1 |
| 45 | 70.2.80.44/32 | 70.2.80.44 to 70.2.80.44 | — | 1 |
| 46 | 70.2.80.45/32 | 70.2.80.45 to 70.2.80.45 | — | 1 |
| 47 | 70.2.80.46/32 | 70.2.80.46 to 70.2.80.46 | — | 1 |
| 48 | 70.2.80.47/32 | 70.2.80.47 to 70.2.80.47 | — | 1 |
| 49 | 70.2.80.48/32 | 70.2.80.48 to 70.2.80.48 | — | 1 |
| 50 | 70.2.80.49/32 | 70.2.80.49 to 70.2.80.49 | — | 1 |
| 51 | 70.2.80.50/32 | 70.2.80.50 to 70.2.80.50 | — | 1 |
| 52 | 70.2.80.51/32 | 70.2.80.51 to 70.2.80.51 | — | 1 |
| 53 | 70.2.80.52/32 | 70.2.80.52 to 70.2.80.52 | — | 1 |
| 54 | 70.2.80.53/32 | 70.2.80.53 to 70.2.80.53 | — | 1 |
| 55 | 70.2.80.54/32 | 70.2.80.54 to 70.2.80.54 | — | 1 |
| 56 | 70.2.80.55/32 | 70.2.80.55 to 70.2.80.55 | — | 1 |
| 57 | 70.2.80.56/32 | 70.2.80.56 to 70.2.80.56 | — | 1 |
| 58 | 70.2.80.57/32 | 70.2.80.57 to 70.2.80.57 | — | 1 |
| 59 | 70.2.80.58/32 | 70.2.80.58 to 70.2.80.58 | — | 1 |
| 60 | 70.2.80.59/32 | 70.2.80.59 to 70.2.80.59 | — | 1 |
| 61 | 70.2.80.60/32 | 70.2.80.60 to 70.2.80.60 | — | 1 |
| 62 | 70.2.80.61/32 | 70.2.80.61 to 70.2.80.61 | — | 1 |
| 63 | 70.2.80.62/32 | 70.2.80.62 to 70.2.80.62 | — | 1 |
| 64 | 70.2.80.63/32 | 70.2.80.63 to 70.2.80.63 | — | 1 |
| 65 | 70.2.80.64/32 | 70.2.80.64 to 70.2.80.64 | — | 1 |
| 66 | 70.2.80.65/32 | 70.2.80.65 to 70.2.80.65 | — | 1 |
| 67 | 70.2.80.66/32 | 70.2.80.66 to 70.2.80.66 | — | 1 |
| 68 | 70.2.80.67/32 | 70.2.80.67 to 70.2.80.67 | — | 1 |
| 69 | 70.2.80.68/32 | 70.2.80.68 to 70.2.80.68 | — | 1 |
| 70 | 70.2.80.69/32 | 70.2.80.69 to 70.2.80.69 | — | 1 |
| 71 | 70.2.80.70/32 | 70.2.80.70 to 70.2.80.70 | — | 1 |
| 72 | 70.2.80.71/32 | 70.2.80.71 to 70.2.80.71 | — | 1 |
| 73 | 70.2.80.72/32 | 70.2.80.72 to 70.2.80.72 | — | 1 |
| 74 | 70.2.80.73/32 | 70.2.80.73 to 70.2.80.73 | — | 1 |
| 75 | 70.2.80.74/32 | 70.2.80.74 to 70.2.80.74 | — | 1 |
| 76 | 70.2.80.75/32 | 70.2.80.75 to 70.2.80.75 | — | 1 |
| 77 | 70.2.80.76/32 | 70.2.80.76 to 70.2.80.76 | — | 1 |
| 78 | 70.2.80.77/32 | 70.2.80.77 to 70.2.80.77 | — | 1 |
| 79 | 70.2.80.78/32 | 70.2.80.78 to 70.2.80.78 | — | 1 |
| 80 | 70.2.80.79/32 | 70.2.80.79 to 70.2.80.79 | — | 1 |
| 81 | 70.2.80.80/32 | 70.2.80.80 to 70.2.80.80 | — | 1 |
| 82 | 70.2.80.81/32 | 70.2.80.81 to 70.2.80.81 | — | 1 |
| 83 | 70.2.80.82/32 | 70.2.80.82 to 70.2.80.82 | — | 1 |
| 84 | 70.2.80.83/32 | 70.2.80.83 to 70.2.80.83 | — | 1 |
| 85 | 70.2.80.84/32 | 70.2.80.84 to 70.2.80.84 | — | 1 |
| 86 | 70.2.80.85/32 | 70.2.80.85 to 70.2.80.85 | — | 1 |
| 87 | 70.2.80.86/32 | 70.2.80.86 to 70.2.80.86 | — | 1 |
| 88 | 70.2.80.87/32 | 70.2.80.87 to 70.2.80.87 | — | 1 |
| 89 | 70.2.80.88/32 | 70.2.80.88 to 70.2.80.88 | — | 1 |
| 90 | 70.2.80.89/32 | 70.2.80.89 to 70.2.80.89 | — | 1 |
| 91 | 70.2.80.90/32 | 70.2.80.90 to 70.2.80.90 | — | 1 |
| 92 | 70.2.80.91/32 | 70.2.80.91 to 70.2.80.91 | — | 1 |
| 93 | 70.2.80.92/32 | 70.2.80.92 to 70.2.80.92 | — | 1 |
| 94 | 70.2.80.93/32 | 70.2.80.93 to 70.2.80.93 | — | 1 |
| 95 | 70.2.80.94/32 | 70.2.80.94 to 70.2.80.94 | — | 1 |
| 96 | 70.2.80.95/32 | 70.2.80.95 to 70.2.80.95 | — | 1 |
| 97 | 70.2.80.96/32 | 70.2.80.96 to 70.2.80.96 | — | 1 |
| 98 | 70.2.80.97/32 | 70.2.80.97 to 70.2.80.97 | — | 1 |
| 99 | 70.2.80.98/32 | 70.2.80.98 to 70.2.80.98 | — | 1 |
| 100 | 70.2.80.99/32 | 70.2.80.99 to 70.2.80.99 | — | 1 |
| 101 | 70.2.80.100/32 | 70.2.80.100 to 70.2.80.100 | — | 1 |
| 102 | 70.2.80.101/32 | 70.2.80.101 to 70.2.80.101 | — | 1 |
| 103 | 70.2.80.102/32 | 70.2.80.102 to 70.2.80.102 | — | 1 |
| 104 | 70.2.80.103/32 | 70.2.80.103 to 70.2.80.103 | — | 1 |
| 105 | 70.2.80.104/32 | 70.2.80.104 to 70.2.80.104 | — | 1 |
| 106 | 70.2.80.105/32 | 70.2.80.105 to 70.2.80.105 | — | 1 |
| 107 | 70.2.80.106/32 | 70.2.80.106 to 70.2.80.106 | — | 1 |
| 108 | 70.2.80.107/32 | 70.2.80.107 to 70.2.80.107 | — | 1 |
| 109 | 70.2.80.108/32 | 70.2.80.108 to 70.2.80.108 | — | 1 |
| 110 | 70.2.80.109/32 | 70.2.80.109 to 70.2.80.109 | — | 1 |
| 111 | 70.2.80.110/32 | 70.2.80.110 to 70.2.80.110 | — | 1 |
| 112 | 70.2.80.111/32 | 70.2.80.111 to 70.2.80.111 | — | 1 |
| 113 | 70.2.80.112/32 | 70.2.80.112 to 70.2.80.112 | — | 1 |
| 114 | 70.2.80.113/32 | 70.2.80.113 to 70.2.80.113 | — | 1 |
| 115 | 70.2.80.114/32 | 70.2.80.114 to 70.2.80.114 | — | 1 |
| 116 | 70.2.80.115/32 | 70.2.80.115 to 70.2.80.115 | — | 1 |
| 117 | 70.2.80.116/32 | 70.2.80.116 to 70.2.80.116 | — | 1 |
| 118 | 70.2.80.117/32 | 70.2.80.117 to 70.2.80.117 | — | 1 |
| 119 | 70.2.80.118/32 | 70.2.80.118 to 70.2.80.118 | — | 1 |
| 120 | 70.2.80.119/32 | 70.2.80.119 to 70.2.80.119 | — | 1 |
| 121 | 70.2.80.120/32 | 70.2.80.120 to 70.2.80.120 | — | 1 |
| 122 | 70.2.80.121/32 | 70.2.80.121 to 70.2.80.121 | — | 1 |
| 123 | 70.2.80.122/32 | 70.2.80.122 to 70.2.80.122 | — | 1 |
| 124 | 70.2.80.123/32 | 70.2.80.123 to 70.2.80.123 | — | 1 |
| 125 | 70.2.80.124/32 | 70.2.80.124 to 70.2.80.124 | — | 1 |
| 126 | 70.2.80.125/32 | 70.2.80.125 to 70.2.80.125 | — | 1 |
| 127 | 70.2.80.126/32 | 70.2.80.126 to 70.2.80.126 | — | 1 |
| 128 | 70.2.80.127/32 | 70.2.80.127 to 70.2.80.127 | — | 1 |
| 129 | 70.2.80.128/32 | 70.2.80.128 to 70.2.80.128 | — | 1 |
| 130 | 70.2.80.129/32 | 70.2.80.129 to 70.2.80.129 | — | 1 |
| 131 | 70.2.80.130/32 | 70.2.80.130 to 70.2.80.130 | — | 1 |
| 132 | 70.2.80.131/32 | 70.2.80.131 to 70.2.80.131 | — | 1 |
| 133 | 70.2.80.132/32 | 70.2.80.132 to 70.2.80.132 | — | 1 |
| 134 | 70.2.80.133/32 | 70.2.80.133 to 70.2.80.133 | — | 1 |
| 135 | 70.2.80.134/32 | 70.2.80.134 to 70.2.80.134 | — | 1 |
| 136 | 70.2.80.135/32 | 70.2.80.135 to 70.2.80.135 | — | 1 |
| 137 | 70.2.80.136/32 | 70.2.80.136 to 70.2.80.136 | — | 1 |
| 138 | 70.2.80.137/32 | 70.2.80.137 to 70.2.80.137 | — | 1 |
| 139 | 70.2.80.138/32 | 70.2.80.138 to 70.2.80.138 | — | 1 |
| 140 | 70.2.80.139/32 | 70.2.80.139 to 70.2.80.139 | — | 1 |
| 141 | 70.2.80.140/32 | 70.2.80.140 to 70.2.80.140 | — | 1 |
| 142 | 70.2.80.141/32 | 70.2.80.141 to 70.2.80.141 | — | 1 |
| 143 | 70.2.80.142/32 | 70.2.80.142 to 70.2.80.142 | — | 1 |
| 144 | 70.2.80.143/32 | 70.2.80.143 to 70.2.80.143 | — | 1 |
| 145 | 70.2.80.144/32 | 70.2.80.144 to 70.2.80.144 | — | 1 |
| 146 | 70.2.80.145/32 | 70.2.80.145 to 70.2.80.145 | — | 1 |
| 147 | 70.2.80.146/32 | 70.2.80.146 to 70.2.80.146 | — | 1 |
| 148 | 70.2.80.147/32 | 70.2.80.147 to 70.2.80.147 | — | 1 |
| 149 | 70.2.80.148/32 | 70.2.80.148 to 70.2.80.148 | — | 1 |
| 150 | 70.2.80.149/32 | 70.2.80.149 to 70.2.80.149 | — | 1 |
| 151 | 70.2.80.150/32 | 70.2.80.150 to 70.2.80.150 | — | 1 |
| 152 | 70.2.80.151/32 | 70.2.80.151 to 70.2.80.151 | — | 1 |
| 153 | 70.2.80.152/32 | 70.2.80.152 to 70.2.80.152 | — | 1 |
| 154 | 70.2.80.153/32 | 70.2.80.153 to 70.2.80.153 | — | 1 |
| 155 | 70.2.80.154/32 | 70.2.80.154 to 70.2.80.154 | — | 1 |
| 156 | 70.2.80.155/32 | 70.2.80.155 to 70.2.80.155 | — | 1 |
| 157 | 70.2.80.156/32 | 70.2.80.156 to 70.2.80.156 | — | 1 |
| 158 | 70.2.80.157/32 | 70.2.80.157 to 70.2.80.157 | — | 1 |
| 159 | 70.2.80.158/32 | 70.2.80.158 to 70.2.80.158 | — | 1 |
| 160 | 70.2.80.159/32 | 70.2.80.159 to 70.2.80.159 | — | 1 |
| 161 | 70.2.80.160/32 | 70.2.80.160 to 70.2.80.160 | — | 1 |
| 162 | 70.2.80.161/32 | 70.2.80.161 to 70.2.80.161 | — | 1 |
| 163 | 70.2.80.162/32 | 70.2.80.162 to 70.2.80.162 | — | 1 |
| 164 | 70.2.80.163/32 | 70.2.80.163 to 70.2.80.163 | — | 1 |
| 165 | 70.2.80.164/32 | 70.2.80.164 to 70.2.80.164 | — | 1 |
| 166 | 70.2.80.165/32 | 70.2.80.165 to 70.2.80.165 | — | 1 |
| 167 | 70.2.80.166/32 | 70.2.80.166 to 70.2.80.166 | — | 1 |
| 168 | 70.2.80.167/32 | 70.2.80.167 to 70.2.80.167 | — | 1 |
| 169 | 70.2.80.168/32 | 70.2.80.168 to 70.2.80.168 | — | 1 |
| 170 | 70.2.80.169/32 | 70.2.80.169 to 70.2.80.169 | — | 1 |
| 171 | 70.2.80.170/32 | 70.2.80.170 to 70.2.80.170 | — | 1 |
| 172 | 70.2.80.171/32 | 70.2.80.171 to 70.2.80.171 | — | 1 |
| 173 | 70.2.80.172/32 | 70.2.80.172 to 70.2.80.172 | — | 1 |
| 174 | 70.2.80.173/32 | 70.2.80.173 to 70.2.80.173 | — | 1 |
| 175 | 70.2.80.174/32 | 70.2.80.174 to 70.2.80.174 | — | 1 |
| 176 | 70.2.80.175/32 | 70.2.80.175 to 70.2.80.175 | — | 1 |
| 177 | 70.2.80.176/32 | 70.2.80.176 to 70.2.80.176 | — | 1 |
| 178 | 70.2.80.177/32 | 70.2.80.177 to 70.2.80.177 | — | 1 |
| 179 | 70.2.80.178/32 | 70.2.80.178 to 70.2.80.178 | — | 1 |
| 180 | 70.2.80.179/32 | 70.2.80.179 to 70.2.80.179 | — | 1 |
| 181 | 70.2.80.180/32 | 70.2.80.180 to 70.2.80.180 | — | 1 |
| 182 | 70.2.80.181/32 | 70.2.80.181 to 70.2.80.181 | — | 1 |
| 183 | 70.2.80.182/32 | 70.2.80.182 to 70.2.80.182 | — | 1 |
| 184 | 70.2.80.183/32 | 70.2.80.183 to 70.2.80.183 | — | 1 |
| 185 | 70.2.80.184/32 | 70.2.80.184 to 70.2.80.184 | — | 1 |
| 186 | 70.2.80.185/32 | 70.2.80.185 to 70.2.80.185 | — | 1 |
| 187 | 70.2.80.186/32 | 70.2.80.186 to 70.2.80.186 | — | 1 |
| 188 | 70.2.80.187/32 | 70.2.80.187 to 70.2.80.187 | — | 1 |
| 189 | 70.2.80.188/32 | 70.2.80.188 to 70.2.80.188 | — | 1 |
| 190 | 70.2.80.189/32 | 70.2.80.189 to 70.2.80.189 | — | 1 |
| 191 | 70.2.80.190/32 | 70.2.80.190 to 70.2.80.190 | — | 1 |
| 192 | 70.2.80.191/32 | 70.2.80.191 to 70.2.80.191 | — | 1 |
| 193 | 70.2.80.192/32 | 70.2.80.192 to 70.2.80.192 | — | 1 |
| 194 | 70.2.80.193/32 | 70.2.80.193 to 70.2.80.193 | — | 1 |
| 195 | 70.2.80.194/32 | 70.2.80.194 to 70.2.80.194 | — | 1 |
| 196 | 70.2.80.195/32 | 70.2.80.195 to 70.2.80.195 | — | 1 |
| 197 | 70.2.80.196/32 | 70.2.80.196 to 70.2.80.196 | — | 1 |
| 198 | 70.2.80.197/32 | 70.2.80.197 to 70.2.80.197 | — | 1 |
| 199 | 70.2.80.198/32 | 70.2.80.198 to 70.2.80.198 | — | 1 |
| 200 | 70.2.80.199/32 | 70.2.80.199 to 70.2.80.199 | — | 1 |
| 201 | 70.2.80.200/32 | 70.2.80.200 to 70.2.80.200 | — | 1 |
| 202 | 70.2.80.201/32 | 70.2.80.201 to 70.2.80.201 | — | 1 |
| 203 | 70.2.80.202/32 | 70.2.80.202 to 70.2.80.202 | — | 1 |
| 204 | 70.2.80.203/32 | 70.2.80.203 to 70.2.80.203 | — | 1 |
| 205 | 70.2.80.204/32 | 70.2.80.204 to 70.2.80.204 | — | 1 |
| 206 | 70.2.80.205/32 | 70.2.80.205 to 70.2.80.205 | — | 1 |
| 207 | 70.2.80.206/32 | 70.2.80.206 to 70.2.80.206 | — | 1 |
| 208 | 70.2.80.207/32 | 70.2.80.207 to 70.2.80.207 | — | 1 |
| 209 | 70.2.80.208/32 | 70.2.80.208 to 70.2.80.208 | — | 1 |
| 210 | 70.2.80.209/32 | 70.2.80.209 to 70.2.80.209 | — | 1 |
| 211 | 70.2.80.210/32 | 70.2.80.210 to 70.2.80.210 | — | 1 |
| 212 | 70.2.80.211/32 | 70.2.80.211 to 70.2.80.211 | — | 1 |
| 213 | 70.2.80.212/32 | 70.2.80.212 to 70.2.80.212 | — | 1 |
| 214 | 70.2.80.213/32 | 70.2.80.213 to 70.2.80.213 | — | 1 |
| 215 | 70.2.80.214/32 | 70.2.80.214 to 70.2.80.214 | — | 1 |
| 216 | 70.2.80.215/32 | 70.2.80.215 to 70.2.80.215 | — | 1 |
| 217 | 70.2.80.216/32 | 70.2.80.216 to 70.2.80.216 | — | 1 |
| 218 | 70.2.80.217/32 | 70.2.80.217 to 70.2.80.217 | — | 1 |
| 219 | 70.2.80.218/32 | 70.2.80.218 to 70.2.80.218 | — | 1 |
| 220 | 70.2.80.219/32 | 70.2.80.219 to 70.2.80.219 | — | 1 |
| 221 | 70.2.80.220/32 | 70.2.80.220 to 70.2.80.220 | — | 1 |
| 222 | 70.2.80.221/32 | 70.2.80.221 to 70.2.80.221 | — | 1 |
| 223 | 70.2.80.222/32 | 70.2.80.222 to 70.2.80.222 | — | 1 |
| 224 | 70.2.80.223/32 | 70.2.80.223 to 70.2.80.223 | — | 1 |
| 225 | 70.2.80.224/32 | 70.2.80.224 to 70.2.80.224 | — | 1 |
| 226 | 70.2.80.225/32 | 70.2.80.225 to 70.2.80.225 | — | 1 |
| 227 | 70.2.80.226/32 | 70.2.80.226 to 70.2.80.226 | — | 1 |
| 228 | 70.2.80.227/32 | 70.2.80.227 to 70.2.80.227 | — | 1 |
| 229 | 70.2.80.228/32 | 70.2.80.228 to 70.2.80.228 | — | 1 |
| 230 | 70.2.80.229/32 | 70.2.80.229 to 70.2.80.229 | — | 1 |
| 231 | 70.2.80.230/32 | 70.2.80.230 to 70.2.80.230 | — | 1 |
| 232 | 70.2.80.231/32 | 70.2.80.231 to 70.2.80.231 | — | 1 |
| 233 | 70.2.80.232/32 | 70.2.80.232 to 70.2.80.232 | — | 1 |
| 234 | 70.2.80.233/32 | 70.2.80.233 to 70.2.80.233 | — | 1 |
| 235 | 70.2.80.234/32 | 70.2.80.234 to 70.2.80.234 | — | 1 |
| 236 | 70.2.80.235/32 | 70.2.80.235 to 70.2.80.235 | — | 1 |
| 237 | 70.2.80.236/32 | 70.2.80.236 to 70.2.80.236 | — | 1 |
| 238 | 70.2.80.237/32 | 70.2.80.237 to 70.2.80.237 | — | 1 |
| 239 | 70.2.80.238/32 | 70.2.80.238 to 70.2.80.238 | — | 1 |
| 240 | 70.2.80.239/32 | 70.2.80.239 to 70.2.80.239 | — | 1 |
| 241 | 70.2.80.240/32 | 70.2.80.240 to 70.2.80.240 | — | 1 |
| 242 | 70.2.80.241/32 | 70.2.80.241 to 70.2.80.241 | — | 1 |
| 243 | 70.2.80.242/32 | 70.2.80.242 to 70.2.80.242 | — | 1 |
| 244 | 70.2.80.243/32 | 70.2.80.243 to 70.2.80.243 | — | 1 |
| 245 | 70.2.80.244/32 | 70.2.80.244 to 70.2.80.244 | — | 1 |
| 246 | 70.2.80.245/32 | 70.2.80.245 to 70.2.80.245 | — | 1 |
| 247 | 70.2.80.246/32 | 70.2.80.246 to 70.2.80.246 | — | 1 |
| 248 | 70.2.80.247/32 | 70.2.80.247 to 70.2.80.247 | — | 1 |
| 249 | 70.2.80.248/32 | 70.2.80.248 to 70.2.80.248 | — | 1 |
| 250 | 70.2.80.249/32 | 70.2.80.249 to 70.2.80.249 | — | 1 |
| 251 | 70.2.80.250/32 | 70.2.80.250 to 70.2.80.250 | — | 1 |
| 252 | 70.2.80.251/32 | 70.2.80.251 to 70.2.80.251 | — | 1 |
| 253 | 70.2.80.252/32 | 70.2.80.252 to 70.2.80.252 | — | 1 |
| 254 | 70.2.80.253/32 | 70.2.80.253 to 70.2.80.253 | — | 1 |
| 255 | 70.2.80.254/32 | 70.2.80.254 to 70.2.80.254 | — | 1 |
| 256 | 70.2.80.255/32 | 70.2.80.255 to 70.2.80.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |